Subject: Comments on draft-eubanks-chimento-6man-00

From: "Rémi Denis-Courmont" <[email-masked]>
Date: Wed, 25 Mar 2009 01:33:32 +0200

Hello,

draft-eubanks-chimento-6man suggests that 0 checksum should be (conditionnaly) 
allowed for UDP/IPv6 packets.

First, I do not understand the rationale. As the draft notes, UDP-Lite already 
allows not to checksum the payload of an IPv6 datagram (inconditionnaly).
Legacy NATs are the usual case against UDP-Lite. But that concerns only 
(outer) IPv4 not IPv6.

Second, I believe the proposed change is harmful. Some widely deployed IPv6 
implementations do follow RFC2460 §8.2 to the letter. Namely they do "discard 
UDP packets containing a zero checksum, and (...) log the error". I am not 
very keen on the idea that we would update the spec in a way that will cause 
plenty of dummy errors to be logged by "legacy" IPv6 stacks. FYI, at least the 
Linux kernel falls in this case.

-- 
Rémi Denis-Courmont